# Ubuntu im Docker Container
# Ersteller: Dr. Holger Schwichtenberg

# Aufräumen: Alle Ubuntu-Container löschen
docker stop $(docker ps -a -q -f name=u*)
docker rm $(docker ps -a -q -f name=u*)
docker ps -a -q -f name=u*

# Ubuntu laden
docker pull ubuntu:17.10  
docker pull ubuntu:17.10  --platform=linux
docker images

# Ubuntu starten
docker run -it --name ub1 ubuntu:17.10 bash


docker run -d --name u5 ubuntu:17.10 bash ping web.de
docker exec ub2 ls

docker run -it jess/lynx www.web.de

#Aufräumen
Get-container | Where-Object status -NotLike "*exited*" | Stop-Container 
docker stop $(docker ps -a -q)
# Entfernen aller Container (geht nur bei gestoppten Containern)
Get-container | Where-Object status -Like "*exited*"| Remove-Container
docker rm $(docker ps -a -q)

# SQL Server LINUX --- Geht noch nicht auf LCOW!
docker run -e "ACCEPT_EULA=Y" -e "MSSQL_SA_PASSWORD=geheim+123" -e "MSSQL_PID=Developer" -p 1437:1433 --name SQL6 --restart always -d microsoft/mssql-server-linux

# Aufräumen
docker stop $(docker ps -a -q -f name=ub*)
docker rm $(docker ps -a -q -f name=ub*)
docker ps -a -q -f name=ub*

docker stop $(docker ps -a -q -f name=SQL*)
docker rm $(docker ps -a -q -f name=SQL*)
docker ps -a -q -f name=SQL*